Anyone has TomTom Europe v1.20; not compatible with Iphone6 — TomTom Community

Anyone has TomTom Europe v1.20; not compatible with Iphone6

LemonJ2016LemonJ2016 Posts: 1 [New Traveler]
Hi,
I purchased TomTom Europe v1.20 Navigation App in June 2015; and used once in Europe.

Now I tried to install it on the Iphone6, IOS11.2, it says format not compatible.

Any workaround or what can I do here?

Appreciate any advice.

Thank you,
Sign In or Register to comment.

Who's Online19

Bernd L
Bernd L
dhn
dhn
DougLap
DougLap
drugis
drugis
Elchdoktor
Elchdoktor
TomDone
TomDone
+13 Guests